assert( Assister, "Assister not found!")

Assister_Resurect = Assister:NewModule("Resurect")

function Assister_Resurect:OnInitialize()
settingsResurect = Assister:AcquireDBNamespace("Resurect")
Assister:RegisterDefaults("Resurect", "profile", {
			["on"] = true,
})
Assister.Menu.args.AR = {
			type ="group",
			name = "AutoRes",
			desc = "AutoRes Config",
			args = {
			Toggle = {
                type = "toggle",
                name = "Toggle",
                desc = "Toggle the module on and off.",
                get = function() return Assister:IsModuleActive("Resurect") end,
                set = function(v) Assister:ToggleModuleActive("Resurect") end,
            },
},
}
end

function Assister_Resurect:OnEnable()
self:RegisterEvent("RESURRECT_REQUEST", "Res")
self:RegisterEvent("PLAYER_UNGHOST", "RAlive")
end

--Resurect Code
function Assister_Resurect:Res()
		if (GetNumRaidMembers() >0) then
			for i=1, GetNumRaidMembers() do name=GetRaidRosterInfo(i);
				if name==arg1 then
				AcceptResurrect()
				Assister:Print("Automatically Rezzed by".." "..arg1)
				end
			end
		else
			for i=1, GetNumPartyMembers() do
			if arg1==UnitName("Party"..i) then
				AcceptResurrect()
				Assister:Print("Automatically Rezzed by".." "..arg1)
			end
			end
		end
end

function Assister_Resurect:RAlive()
StaticPopup_Hide("RESURRECT") 
StaticPopup_Hide("RESURRECT_NO_SICKNESS")
StaticPopup_Hide("RESURRECT_NO_TIMER")
end
